pkgCache::Description Struct Reference

datamember of a linked list of available description for a version More...

`#include <apt-pkg/pkgcache.h>`

Collaboration diagram for pkgCache::Description:
[legend]

## Public Attributes

map_stringitem_t | language_code
| Language code of this description (translation).
map_stringitem_t | md5sum
| MD5sum of the original description.
map_pointer< DescFile > | FileList
map_pointer< Description > | NextDesc
| next translation for this description
map_pointer< Package > | ParentPkg
| the text is a description of this package
map_id_t | ID
| unique sequel ID

## Detailed Description

datamember of a linked list of available description for a version

## Member Data Documentation

## FileList

map_pointer<DescFile> FileList

Todo
  document pkgCache::Description::FileList

## language_code

map_stringitem_t language_code

Language code of this description (translation).

If the value has a 0 length then this is read using the Package file else the Translation-CODE file is used.

## md5sum

map_stringitem_t md5sum

MD5sum of the original description.

Used to map Translations of a description to a version and to check that the Translation is up-to-date.

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h